QGIS Application - Bug report #19338

In select by expression, too many query characters may cause QGIS crash

2018-07-05 04:06 AM - Chun Li

Status: Closed
Priority: Normal
Assignee:

Category: Attribute table

Affected QGIS version:3.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: Yes
Resolution: not reproducable

Copied to github as #: 27166

Description

In select by expression window, if | paste in long query filter, i.e, id=1, id=2,{1000 more}, QGIS crash immediately.

History

#1 - 2018-07-05 05:26 AM - Nyall Dawson
- Status changed from Open to Feedback

What is the data source? This may be an upstream gdal issue.

#2 - 2018-08-16 10:39 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
